List the READY voucher orders a consumer has placed.
GET
/
perks
/
consumers
/
{consumer_id}
/
voucher-orders
List the READY voucher orders a consumer has placed.
curl --request GET \
--url https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/voucher-orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/voucher-orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/voucher-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"amount": "<string>",
"brand": {
"name": "<string>",
"logo": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voucher_count": 123
}
],
"meta": {
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>",
"self": "<string>"
},
"page": 123,
"per_page": 123,
"total": 123
}
}{
"code": "PL-400-00",
"errors": [
{
"loc": [
"body",
"field"
],
"msg": "Field required",
"type": "missing"
}
],
"instance": "/path/of/the/request",
"status": 400,
"title": "Bad Request"
}{
"code": "PL-401-00",
"status": 401,
"title": "Unauthorized"
}{
"code": "PL-404-02",
"status": 404,
"title": "Consumer Not Enrolled"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Required string length:
2 - 100Pattern:
^[a-zA-Z0-9_.-]*$Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 1000Available options:
created_at, -created_at Was this page helpful?
Previous
Versions & DownloadBrowse every published version of the Program API and download the OpenAPI specs.
Next
⌘I
List the READY voucher orders a consumer has placed.
